package _03_抽奖;

import java.util.Random;

public class Test {
    public static void main(String[] args) {
        /**
         * 抽奖
         */
        int[] arr = {2,588,888,10000,1000};
        printPrize(arr);
    }
    // 抽奖功能
    private static void printPrize(int[] arr) {
        //创建出来一个newArr 数组作为判断依据
        int[] newArr = new int[arr.length];
        // 遍历数组
        for (int i = 0; i < arr.length; ) {
            // 创建出来一个随机数
            Random random = new Random();
            int randomIndex = random.nextInt(arr.length);
            int prize = arr[randomIndex];
            // 判断抽取这个奖品是否已经抽过了
            // 判断这个prize 是否在newArr 存在
            boolean flag = contains(prize, newArr);
            if(!flag){
                System.out.println("当前抽取奖品信息为:"+ prize);
                // 把抽取奖品放到数组中
                newArr[i] = prize;
                i++;
            }
        }
    }
    /**
     * 判断一个元素是否在数组当中
     */
    public static boolean contains(int ele,int[] arr){
        boolean flag = false;
        for (int i = 0; i < arr.length; i++) {
            if(arr[i] == ele){
                flag =  true;
                break;
            }
        }
        return flag;
    }
}
